Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
gzfile Struct Reference

## Data Fields
struct zstream | z
VALUE | io
int | level
int | os_code
time_t | mtime
VALUE | orig_name
VALUE | comment
unsigned long | crc
int | ecflags
int | lineno
long | ungetc
void(* | end )(struct gzfile *)
rb_encoding * | enc
rb_encoding * | enc2
rb_econv_t * | ec
VALUE | ecopts
VALUE | path

## Detailed Description

Definition at line 2207 of file zlib.c.

## Field Documentation

## ◆ comment

VALUE gzfile::comment

Definition at line 2214 of file zlib.c.

## ◆ crc

unsigned long gzfile::crc

Definition at line 2215 of file zlib.c.

## ◆ ec

rb_econv_t* gzfile::ec

Definition at line 2222 of file zlib.c.

## ◆ ecflags

int gzfile::ecflags

Definition at line 2216 of file zlib.c.

## ◆ ecopts

VALUE gzfile::ecopts

Definition at line 2223 of file zlib.c.

## ◆ enc

rb_encoding* gzfile::enc

Definition at line 2220 of file zlib.c.

Referenced by rb_str_encode_ospath().

## ◆ enc2

rb_encoding* gzfile::enc2

Definition at line 2221 of file zlib.c.

## ◆ end

void(* gzfile::end) (struct gzfile *)

Definition at line 2219 of file zlib.c.

## ◆ io

VALUE gzfile::io

Definition at line 2209 of file zlib.c.

## ◆ level

int gzfile::level

Definition at line 2210 of file zlib.c.

## ◆ lineno

int gzfile::lineno

Definition at line 2217 of file zlib.c.

## ◆ mtime

time_t gzfile::mtime

Definition at line 2212 of file zlib.c.

## ◆ orig_name

VALUE gzfile::orig_name

Definition at line 2213 of file zlib.c.

## ◆ os_code

int gzfile::os_code

Definition at line 2211 of file zlib.c.

## ◆ path

VALUE gzfile::path

Definition at line 2224 of file zlib.c.

## ◆ ungetc

long gzfile::ungetc

Definition at line 2218 of file zlib.c.

## ◆ z

struct zstream gzfile::z

Definition at line 2208 of file zlib.c.

The documentation for this struct was generated from the following file:

- ext/zlib/zlib.c